### Method

# Gio IOExtension get_name

#### Declaration

    const char*
    g_io_extension_get_name (
      GIOExtension* extension
    )

#### Description

Gets the name under which `extension` was registered.

Note that the same type may be registered as extension for multiple extension points, under different names.

#### Return value

Type: `const char*`

The name of `extension`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.